# Class IntegerPropertyConverter

java.lang.Object
org.apache.jmeter.save.converters.IntegerPropertyConverter

public class IntegerPropertyConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`IntegerPropertyConverter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`void`
`marshal(Object obj, HierarchicalStreamWriter writer, MarshallingContext arg2)`
`Object`
`unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntegerPropertyConverter

public IntegerPropertyConverter()

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this converter

### canConvert

public boolean canConvert(Class arg0)

### marshal

public void marshal(Object obj, HierarchicalStreamWriter writer, MarshallingContext arg2)

### unmarshal

public Object unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)